# Class Integral

java.lang.Object
jspecview.common.Coordinate
jspecview.common.Annotation
jspecview.common.Measurement
jspecview.common.Integral

public class Integral extends Measurement

## Nested Class Summary

### Nested classes/interfaces inherited from class Annotation

`Annotation.AType`

## Field Summary

### Fields inherited from class Measurement

`PT_INT_LABEL, PT_ON_LINE, PT_ON_LINE1, PT_ON_LINE2, PT_XY1, PT_XY2, value`

### Fields inherited from class Annotation

`isPixels, text`

## Constructor Summary

Constructors
Constructor
Description
`Integral()`

## Method Summary

Modifier and Type
Method
Description
`Integral`
`setInt(double x1, double y1, Spectrum spec, double value, double x2, double y2)`

### Methods inherited from class Measurement

`addSpecShift, copyM, getSpectrum, getValue, getXVal2, getYVal2, overlaps, setM1, setPt2, setPt2, setValue, setYVal2, toString`

### Methods inherited from class Annotation

`getColoredAnnotation, setA`

### Methods inherited from class Coordinate

`applyScale, copy, deltaX, equals, findXForPeakNearest, getMaxX, getMaxX, getMaxY, getMaxYUser, getMinX, getMinX, getMinY, getMinYUser, getNearestIndexForX, getNearestXWithYAbove, getXVal, getYVal, getYValueAt, isYInRange, normalise, parabolicInterpolation, parseDSV, removeScale, reverse, set, setXVal, setYVal, shiftX`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Integral

public Integral()

## Method Details

### setInt

public Integral setInt(double x1, double y1, Spectrum spec, double value, double x2, double y2)